Type
object

Specification

PropertyTypeDescription
specobject

Configuration affecting network reachability of a sidecar. See more details at: https://istio.io/docs/reference/config/networking/sidecar.html

statusobject

.spec

Description
Configuration affecting network reachability of a sidecar. See more details at: https://istio.io/docs/reference/config/networking/sidecar.html
Type
object
PropertyTypeDescription
egressarray
ingressarray
outboundTrafficPolicyobject

Configuration for the outbound traffic policy.

workloadSelectorobject

.spec.egress

Type
array

.spec.egress[]

Type
object
PropertyTypeDescription
bindstring
captureModestring
hostsarray
portobject

The port associated with the listener.

.spec.egress[].hosts

Type
array

.spec.egress[].hosts[]

Type
string

.spec.egress[].port

Description
The port associated with the listener.
Type
object
PropertyTypeDescription
namestring

Label assigned to the port.

numberinteger

A valid non-negative integer port number.

protocolstring

The protocol exposed on the port.

targetPortinteger

.spec.ingress

Type
array

.spec.ingress[]

Type
object
PropertyTypeDescription
bindstring

The IP(IPv4 or IPv6) to which the listener should be bound.

captureModestring
defaultEndpointstring
portobject

The port associated with the listener.

tlsobject

.spec.ingress[].port

Description
The port associated with the listener.
Type
object
PropertyTypeDescription
namestring

Label assigned to the port.

numberinteger

A valid non-negative integer port number.

protocolstring

The protocol exposed on the port.

targetPortinteger

.spec.ingress[].tls

Type
object
PropertyTypeDescription
caCertificatesstring

REQUIRED if mode is MUTUAL.

cipherSuitesarray

Optional: If specified, only support the specified cipher list.

credentialNamestring
httpsRedirectboolean
maxProtocolVersionstring

Optional: Maximum TLS protocol version.

minProtocolVersionstring

Optional: Minimum TLS protocol version.

modestring
privateKeystring

REQUIRED if mode is SIMPLE or MUTUAL.

serverCertificatestring

REQUIRED if mode is SIMPLE or MUTUAL.

subjectAltNamesarray
verifyCertificateHasharray
verifyCertificateSpkiarray

.spec.ingress[].tls.cipherSuites

Description
Optional: If specified, only support the specified cipher list.
Type
array

.spec.ingress[].tls.cipherSuites[]

Type
string

.spec.ingress[].tls.subjectAltNames

Type
array

.spec.ingress[].tls.subjectAltNames[]

Type
string

.spec.ingress[].tls.verifyCertificateHash

Type
array

.spec.ingress[].tls.verifyCertificateHash[]

Type
string

.spec.ingress[].tls.verifyCertificateSpki

Type
array

.spec.ingress[].tls.verifyCertificateSpki[]

Type
string

.spec.outboundTrafficPolicy

Description
Configuration for the outbound traffic policy.
Type
object
PropertyTypeDescription
egressProxyobject
modestring

.spec.outboundTrafficPolicy.egressProxy

Type
object
PropertyTypeDescription
hoststring

The name of a service from the service registry.

portobject

Specifies the port on the host that is being addressed.

subsetstring

The name of a subset within the service.

.spec.outboundTrafficPolicy.egressProxy.port

Description
Specifies the port on the host that is being addressed.
Type
object
PropertyTypeDescription
numberinteger

.spec.workloadSelector

Type
object
PropertyTypeDescription
labelsobject

.spec.workloadSelector.labels

Type
object

.status

Type
object

API Endpoints

The following API endpoints are available:

  • /apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars
    • DELETE: delete collection of Sidecar
    • GET: list objects of kind Sidecar
    • POST: create a new Sidecar
  • /apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars/{name}
    • DELETE: delete the specified Sidecar
    • GET: read the specified Sidecar
    • PATCH: partially update the specified Sidecar
    • PUT: replace the specified Sidecar
  • /apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars/{name}/status
    • GET: read status of the specified Sidecar
    • PATCH: partially update status of the specified Sidecar
    • PUT: replace status of the specified Sidecar

/apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars

HTTP method
DELETE
Description
delete collection of Sidecar
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind Sidecar
HTTP responses
HTTP codeResponse body
200 - OKSidecarList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecar schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
201 - CreatedSidecar schema
202 - AcceptedSidecar schema
401 - UnauthorizedEmpty

/apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars/{name}

HTTP method
DELETE
Description
delete the specified Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified Sidecar
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecar schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
201 - CreatedSidecar schema
401 - UnauthorizedEmpty

/apis/networking.istio.io/v1alpha3/namespaces/{namespace}/sidecars/{name}/status

HTTP method
GET
Description
read status of the specified Sidecar
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified Sidecar
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodySidecar schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKSidecar schema
201 - CreatedSidecar schema
401 - UnauthorizedEmpty